[PC-BSD Commits] r2993 - in pbibuild/modules/webmin: . overlay-dir overlay-dir/services/webmin

svn at pcbsd.org svn at pcbsd.org
Tue Nov 25 20:03:20 PST 2008


Author: fabry
Date: 2008-11-25 20:03:20 -0800 (Tue, 25 Nov 2008)
New Revision: 2993

Modified:
   pbibuild/modules/webmin/build.sh
   pbibuild/modules/webmin/overlay-dir/PBI.FirstRun.sh
   pbibuild/modules/webmin/overlay-dir/PBI.RemoveScript.sh
   pbibuild/modules/webmin/overlay-dir/PBI.SetupScript.sh
   pbibuild/modules/webmin/overlay-dir/services/webmin/disable.sh
   pbibuild/modules/webmin/overlay-dir/services/webmin/enable.sh
   pbibuild/modules/webmin/overlay-dir/services/webmin/isEnabled.sh
   pbibuild/modules/webmin/overlay-dir/services/webmin/isRunning.sh
   pbibuild/modules/webmin/overlay-dir/services/webmin/restart.sh
   pbibuild/modules/webmin/overlay-dir/services/webmin/service.cfg
   pbibuild/modules/webmin/overlay-dir/services/webmin/start.sh
   pbibuild/modules/webmin/overlay-dir/services/webmin/stop.sh
Log:
reuploading webmin

Modified: pbibuild/modules/webmin/build.sh
===================================================================
--- pbibuild/modules/webmin/build.sh	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/build.sh	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,14 +1,14 @@
-#!/bin/sh
-# PBI building script
-# This will run after your port build is complete
-# Build your PBI here, and exit 0 on success, or exit 1 on failure.
-##############################################################################
-# Available Variables
-#    PBIDIR = The location of where you can populate your PBI directory
-# MODULEDIR = The location of the module directory for this PBI
-#   PORTVER = Version number of the port we used to build
-##############################################################################
-echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n" > /tmp/.webmin_tmp.tmp
-/usr/local/lib/webmin/setup.sh < /tmp/.webmin_tmp.tmp
-rm -f /tmp/.webmin_tmp.tmp
-cp -r /usr/local/etc/webmin $PBIDIR/etc/webmin
+#!/bin/sh
+# PBI building script
+# This will run after your port build is complete
+# Build your PBI here, and exit 0 on success, or exit 1 on failure.
+##############################################################################
+# Available Variables
+#    PBIDIR = The location of where you can populate your PBI directory
+# MODULEDIR = The location of the module directory for this PBI
+#   PORTVER = Version number of the port we used to build
+##############################################################################
+echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n" > /tmp/.webmin_tmp.tmp
+/usr/local/lib/webmin/setup.sh < /tmp/.webmin_tmp.tmp
+rm -f /tmp/.webmin_tmp.tmp
+cp -r /usr/local/etc/webmin $PBIDIR/etc/webmin

Modified: pbibuild/modules/webmin/overlay-dir/PBI.FirstRun.sh
===================================================================
--- pbibuild/modules/webmin/overlay-dir/PBI.FirstRun.sh	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/overlay-dir/PBI.FirstRun.sh	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,21 +1,21 @@
-#!/bin/sh
-# Filename: PBI.FirstRun.sh
-# Place any custom installation code here.
-# This script will be run before your program is extracted into
-# /Programs/<ProgNameVer>/
-# ${1} is the directory name.
-# ${2} is the username of person performing install.
-# Return a '2' to halt the PBI installation
-# TIP: 'kdialog' should be used for user interaction. 
-# To interact with the progress dialog echo these flags:
-# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
-# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
-# echo 'MSG: <text>' # Display this text above progress bar
-#########################################
-INSTALLED=`ls /Programs | grep Webmin`
-if [ $? = 0 ]
-then
-	kdialog --msgbox "Please remove the previous version of Webmin first"
-	exit 2
-fi
-
+#!/bin/sh
+# Filename: PBI.FirstRun.sh
+# Place any custom installation code here.
+# This script will be run before your program is extracted into
+# /Programs/<ProgNameVer>/
+# ${1} is the directory name.
+# ${2} is the username of person performing install.
+# Return a '2' to halt the PBI installation
+# TIP: 'kdialog' should be used for user interaction. 
+# To interact with the progress dialog echo these flags:
+# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
+# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
+# echo 'MSG: <text>' # Display this text above progress bar
+#########################################
+INSTALLED=`ls /Programs | grep Webmin`
+if [ $? = 0 ]
+then
+	kdialog --msgbox "Please remove the previous version of Webmin first"
+	exit 2
+fi
+

Modified: pbibuild/modules/webmin/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/webmin/overlay-dir/PBI.RemoveScript.sh	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/overlay-dir/PBI.RemoveScript.sh	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,19 +1,19 @@
-#!/bin/sh
-# Filename: PBI.RemoveScript.sh
-# Place any custom removal code here.
-# This script will be run before your program is deleted.
-# ${1} is the directory name.
-# ${2} is the username of person performing the deletion.
-# TIP: 'kdialog' should be used for user interaction. 
-#########################################
-
-/usr/local/etc/rc.d/webmin stop
-killall -9 webmin
-rm /usr/local/lib/webmin
-rm /PCBSD/Services/webmin
-rm /usr/local/etc/rc.d/webmin
-rm -Rf /usr/local/etc/webmin/
-rm -Rf /var/log/webmin
-
-cat /etc/rc.conf | grep -v "webmin_enable=" > /tmp/.rc.conf
-mv /tmp/.rc.conf /etc/rc.conf
+#!/bin/sh
+# Filename: PBI.RemoveScript.sh
+# Place any custom removal code here.
+# This script will be run before your program is deleted.
+# ${1} is the directory name.
+# ${2} is the username of person performing the deletion.
+# TIP: 'kdialog' should be used for user interaction. 
+#########################################
+
+/usr/local/etc/rc.d/webmin stop
+killall -9 webmin
+rm /usr/local/lib/webmin
+rm /PCBSD/Services/webmin
+rm /usr/local/etc/rc.d/webmin
+rm -Rf /usr/local/etc/webmin/
+rm -Rf /var/log/webmin
+
+cat /etc/rc.conf | grep -v "webmin_enable=" > /tmp/.rc.conf
+mv /tmp/.rc.conf /etc/rc.conf

Modified: pbibuild/modules/webmin/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/webmin/overlay-dir/PBI.SetupScript.sh	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/overlay-dir/PBI.SetupScript.sh	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,37 +1,37 @@
-#!/bin/sh
-# Filename: PBI.SetupScript.sh
-# Place any custom installation code here.
-# This script will be run after your program is extracted into
-# /Programs/<ProgNameVer>/
-# ${1} is the directory name.
-# ${2} is the username of person performing install.
-# TIP: 'kdialog' should be used for user interaction.
-# To interact with the progress dialog echo these flags:
-# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
-# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
-# echo 'MSG: <text>' # Display this text above progress bar
-#########################################
-
-echo "TOTALSTEPS: 4"
-echo "SETSETPS: 1"
-
-cd /Programs/${PROGDIR}
-
-ln -s /Programs/${PROGDIR}/autolibs/webmin /usr/local/lib/webmin
-ln -s /Programs/${PROGDIR}/services/webmin /PCBSD/Services/webmin
-ln -s /Programs/${PROGDIR}/etc/rc.d/webmin /usr/local/etc/rc.d/webmin
-
-echo "SETSETPS: 2"
-echo "MSG: Running Webmin setup..."
-echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n" > /tmp/.webmin_tmp.tmp
-/usr/local/lib/webmin/setup.sh < /tmp/.webmin_tmp.tmp
-rm -f /tmp/.webmin_tmp.tmp
-
-echo "SETSETPS: 3"
-echo "MSG: Starting webmin..."
-echo "webmin_enable=\"YES\"" >> /etc/rc.conf
-/usr/local/etc/rc.d/webmin start
-
-echo "MSG: Finished!"
-echo "SETSETPS: 4"
-kdialog --title "Default Values" --msgbox "Webmin has been installed with the following default values:\n\n - ssl:disabled\n - port:10000\n - username:admin\n - no password\n\nyou can change those settings via the webmin interface."
+#!/bin/sh
+# Filename: PBI.SetupScript.sh
+# Place any custom installation code here.
+# This script will be run after your program is extracted into
+# /Programs/<ProgNameVer>/
+# ${1} is the directory name.
+# ${2} is the username of person performing install.
+# TIP: 'kdialog' should be used for user interaction.
+# To interact with the progress dialog echo these flags:
+# echo 'TOTALSTEPS: <num>' # Set the total steps of the progress bar
+# echo 'SETSTEPS: <num>' # Set the current progress of the progress bar
+# echo 'MSG: <text>' # Display this text above progress bar
+#########################################
+
+echo "TOTALSTEPS: 4"
+echo "SETSETPS: 1"
+
+cd /Programs/${PROGDIR}
+
+ln -s /Programs/${PROGDIR}/autolibs/webmin /usr/local/lib/webmin
+ln -s /Programs/${PROGDIR}/services/webmin /PCBSD/Services/webmin
+ln -s /Programs/${PROGDIR}/etc/rc.d/webmin /usr/local/etc/rc.d/webmin
+
+echo "SETSETPS: 2"
+echo "MSG: Running Webmin setup..."
+echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n" > /tmp/.webmin_tmp.tmp
+/usr/local/lib/webmin/setup.sh < /tmp/.webmin_tmp.tmp
+rm -f /tmp/.webmin_tmp.tmp
+
+echo "SETSETPS: 3"
+echo "MSG: Starting webmin..."
+echo "webmin_enable=\"YES\"" >> /etc/rc.conf
+/usr/local/etc/rc.d/webmin start
+
+echo "MSG: Finished!"
+echo "SETSETPS: 4"
+kdialog --title "Default Values" --msgbox "Webmin has been installed with the following default values:\n\n - ssl:disabled\n - port:10000\n - username:admin\n - no password\n\nyou can change those settings via the webmin interface."

Modified: pbibuild/modules/webmin/overlay-dir/services/webmin/disable.sh
===================================================================
--- pbibuild/modules/webmin/overlay-dir/services/webmin/disable.sh	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/overlay-dir/services/webmin/disable.sh	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,9 +1,9 @@
-#!/bin/sh
-# This script disables the service at bootup
-# Return 0 on success, or 1 on failure. 
-
-cat /etc/rc.conf | grep -v "webmin_enable=" >/tmp/rc.new
-echo "webmin_enable=\"NO\"" >> /tmp/rc.new
-mv /tmp/rc.new /etc/rc.conf
-
-return 0
+#!/bin/sh
+# This script disables the service at bootup
+# Return 0 on success, or 1 on failure. 
+
+cat /etc/rc.conf | grep -v "webmin_enable=" >/tmp/rc.new
+echo "webmin_enable=\"NO\"" >> /tmp/rc.new
+mv /tmp/rc.new /etc/rc.conf
+
+return 0

Modified: pbibuild/modules/webmin/overlay-dir/services/webmin/enable.sh
===================================================================
--- pbibuild/modules/webmin/overlay-dir/services/webmin/enable.sh	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/overlay-dir/services/webmin/enable.sh	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,9 +1,9 @@
-#!/bin/sh
-# This script enables the service at bootup
-# Return 0 on success, or 1 on failure. 
-
-cat /etc/rc.conf | grep -v "webmin_enable=" >/tmp/rc.new
-echo "webmin_enable=\"YES\"" >> /tmp/rc.new
-mv /tmp/rc.new /etc/rc.conf
-
-return 0
+#!/bin/sh
+# This script enables the service at bootup
+# Return 0 on success, or 1 on failure. 
+
+cat /etc/rc.conf | grep -v "webmin_enable=" >/tmp/rc.new
+echo "webmin_enable=\"YES\"" >> /tmp/rc.new
+mv /tmp/rc.new /etc/rc.conf
+
+return 0

Modified: pbibuild/modules/webmin/overlay-dir/services/webmin/isEnabled.sh
===================================================================
--- pbibuild/modules/webmin/overlay-dir/services/webmin/isEnabled.sh	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/overlay-dir/services/webmin/isEnabled.sh	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,12 +1,12 @@
-#!/bin/sh
-# This script checks if a service is enabled to run at bootup
-# Return a "0" if service is enabled or a "1" if it is disabled
-
-grep 'webmin_enable="YES"' /etc/rc.conf >/dev/null
-if [ "$?" = "0" ]
-then
- return 0
-else 
- return 1
-fi
-
+#!/bin/sh
+# This script checks if a service is enabled to run at bootup
+# Return a "0" if service is enabled or a "1" if it is disabled
+
+grep 'webmin_enable="YES"' /etc/rc.conf >/dev/null
+if [ "$?" = "0" ]
+then
+ return 0
+else 
+ return 1
+fi
+

Modified: pbibuild/modules/webmin/overlay-dir/services/webmin/isRunning.sh
===================================================================
--- pbibuild/modules/webmin/overlay-dir/services/webmin/isRunning.sh	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/overlay-dir/services/webmin/isRunning.sh	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,11 +1,11 @@
-#!/bin/sh
-# This script checks if a service is currently running
-# Return a "0" if the service is running, or a "1" if it is stopped
-ps -x | grep -v "grep" | grep webmin
-if [ "$?" = "0" ]
-then
-  exit 0
-else
-  exit 1
-fi
-
+#!/bin/sh
+# This script checks if a service is currently running
+# Return a "0" if the service is running, or a "1" if it is stopped
+ps -x | grep -v "grep" | grep webmin
+if [ "$?" = "0" ]
+then
+  exit 0
+else
+  exit 1
+fi
+

Modified: pbibuild/modules/webmin/overlay-dir/services/webmin/restart.sh
===================================================================
--- pbibuild/modules/webmin/overlay-dir/services/webmin/restart.sh	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/overlay-dir/services/webmin/restart.sh	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,11 +1,11 @@
-#!/bin/sh
-# This script restarts a currently running service
-# Return a "0" on success, or a "1" on failure
-
-/usr/local/etc/rc.d/webmin restart
-if [ "$?" = "0" ]
-then
-  exit 0
-else
-  exit 1
-fi
+#!/bin/sh
+# This script restarts a currently running service
+# Return a "0" on success, or a "1" on failure
+
+/usr/local/etc/rc.d/webmin restart
+if [ "$?" = "0" ]
+then
+  exit 0
+else
+  exit 1
+fi

Modified: pbibuild/modules/webmin/overlay-dir/services/webmin/service.cfg
===================================================================
--- pbibuild/modules/webmin/overlay-dir/services/webmin/service.cfg	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/overlay-dir/services/webmin/service.cfg	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,3 +1,3 @@
-# SSH Service Config File
-name: WEBMIN
-description: A web-based interface for system administration.
+# SSH Service Config File
+name: WEBMIN
+description: A web-based interface for system administration.

Modified: pbibuild/modules/webmin/overlay-dir/services/webmin/start.sh
===================================================================
--- pbibuild/modules/webmin/overlay-dir/services/webmin/start.sh	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/overlay-dir/services/webmin/start.sh	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,12 +1,12 @@
-#!/bin/sh
-# This script starts a stopped service
-# Return 0 on success, or "1" on failure 
-
-/usr/local/etc/rc.d/webmin start
-if [ "$?" = "0" ]
-then
- return 0
-else
- return 1
-fi
-
+#!/bin/sh
+# This script starts a stopped service
+# Return 0 on success, or "1" on failure 
+
+/usr/local/etc/rc.d/webmin start
+if [ "$?" = "0" ]
+then
+ return 0
+else
+ return 1
+fi
+

Modified: pbibuild/modules/webmin/overlay-dir/services/webmin/stop.sh
===================================================================
--- pbibuild/modules/webmin/overlay-dir/services/webmin/stop.sh	2008-11-26 04:02:17 UTC (rev 2992)
+++ pbibuild/modules/webmin/overlay-dir/services/webmin/stop.sh	2008-11-26 04:03:20 UTC (rev 2993)
@@ -1,12 +1,12 @@
-#!/bin/sh
-# This script stops a started service
-# Return 0 on success, or "1" on failure 
-
-/usr/local/etc/rc.d/webmin stop
-if [ "$?" = "0" ]
-then
- return 0
-else
- return 1
-fi
-
+#!/bin/sh
+# This script stops a started service
+# Return 0 on success, or "1" on failure 
+
+/usr/local/etc/rc.d/webmin stop
+if [ "$?" = "0" ]
+then
+ return 0
+else
+ return 1
+fi
+



More information about the Commits mailing list